- Eventide Audio

Reply To: Latest OS Compatibility Info

Home Forums Products Plug-Ins Latest OS Compatibility Info Reply To: Latest OS Compatibility Info

#162947
tbskoglund
Moderator
Eventide Staff

Hello,

If you are running GarageBand natively (not through Rosetta) on your M1 machine, then GarageBand will allow you to open Eventide plug-ins and you should be ok to update to Monterey.